Package org.h2.security.auth.impl

# Class StaticUserCredentialsValidator

java.lang.Object
org.h2.security.auth.impl.StaticUserCredentialsValidator

All Implemented Interfaces:
  `CredentialsValidator`, `Configurable`

public class StaticUserCredentialsValidator extends Object implements CredentialsValidator
This credentials validator matches the user and password with the configured Usage should be limited to test purposes

## Constructor Summary

Constructors
Constructor
Description
`StaticUserCredentialsValidator()`
`StaticUserCredentialsValidator(String userNamePattern, String password)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(ConfigProperties configProperties)`
configure the component
`boolean`
`validateCredentials(AuthenticationInfo authenticationInfo)`
Validate user credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticUserCredentialsValidator

public StaticUserCredentialsValidator()

### StaticUserCredentialsValidator

public StaticUserCredentialsValidator(String userNamePattern, String password)

## Method Details

### validateCredentials

public boolean validateCredentials(AuthenticationInfo authenticationInfo) throws AuthenticationException
Description copied from interface: `CredentialsValidator`
Validate user credential.

Specified by:
  `validateCredentials` in interface `CredentialsValidator`
Parameters:
  `authenticationInfo` - = authentication info
Returns:
  true if credentials are valid, otherwise false
Throws:
  `AuthenticationException`

### configure

public void configure(ConfigProperties configProperties)
Description copied from interface: `Configurable`
configure the component

Specified by:
  `configure` in interface `Configurable`
Parameters:
  `configProperties` - = configuration properties